> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/extranet/b2b/customers/{id} > Update an extranet service customer ## OpenAPI ````json PUT /v1/extranet/b2b/customers/{id} { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/extranet/b2b/customers/{id}": { "put": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "id", "in": "path", "required": true, "description": "", "schema": { "type": "integer", "format": "int64", "example": 1234567891011 } } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1ExtranetB2bCustomersIdPutRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1ExtranetB2bCustomersIdPutResponse" } } } } }, "description": "Update an extranet service customer" } } }, "components": { "schemas": { "v1ExtranetB2bCustomersIdPutRequest": { "type": "object", "properties": { "invite": { "$ref": "#/components/schemas/manaV2ExtranetServiceCustomerInvite" } }, "additionalProperties": false }, "v1ExtranetB2bCustomersIdPutResponse": { "type": "object", "properties": { "invite": { "$ref": "#/components/schemas/manaV2ExtranetServiceCustomerInvite" } }, "additionalProperties": false }, "manaV2ExtranetServiceCustomerInvite": { "type": "object", "properties": { "adminEmails": { "type": "array", "items": { "type": "string", "example": "example string", "description": "Admin emails for the partner" } }, "maximumNumberOfSites": { "type": "integer", "format": "int32", "example": 123, "minimum": 0, "description": "Maximum number of consumer sites" } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````